Authentication
This endpoint requires authentication using a JWT token or API-KEY in the header.
JWT token in the format: Authorization {token}
Token in the format: x-api-key {api-key}
Request Query
The supported protocols include: GMX,
KWENTA, POLYNOMIAL, POLYNOMIAL_L2, GMX_V2_AVAX, GMX_V2, GNS,
GNS_POLY, GNS_BASE, GNS_APE, LEVEL_BNB, LEVEL_ARB, MUX_ARB,
APOLLOX_BNB, AVANTIS_BASE, EQUATION_ARB, LOGX_BLAST, LOGX_MODE,
MYX_ARB, DEXTORO, VELA_ARB, HMX_ARB, SYNTHETIX_V3,
SYNTHETIX_V3_ARB, KTX_MANTLE, CYBERDEX, YFX_ARB, KILOEX_OPBNB,
KILOEX_BNB, KILOEX_MANTA, KILOEX_BASE, ROLLIE_SCROLL, MUMMY_FANTOM,
HYPERLIQUID, SYNFUTURE_BASE, MORPHEX_FANTOM, PERENNIAL_ARB,
BSX_BASE, DYDX, UNIDEX_ARB, VERTEX_ARB, HORIZON_BNB,
HOLDSTATION_ZKSYNC, ZENO_METIS, LINEHUB_LINEA, BMX_BASE, FOXIFY_ARB,
APOLLOX_BASE, GMX_AVAX, SYNTHETIX, DEPERP_BASE, ELFI_ARB, PERPETUAL_OP,
JUPITER, HOLDSTATION_BERA, GMX_SOL, HYPERLIQUID, OSTIUM_ARB
Type of statistics. Values: MONTH, WEEK
Number of records to return
Number of records to skip
Field to sort by. Values: ranking, totalPnl, totalRealisedPnl,
totalVolume, totalFee, totalTrade, totalWin, totalLose,
totalLiquidation, totalLiquidationAmount
Sort direction. Values: asc, desc
Request Example
curl -X GET "https://api.copin.io/leaderboards/page?protocol=KWENTA&queryDate=1701835880676&statisticType=MONTH&limit=20&offset=0&sort_by=ranking&sort_type=asc" \
-H 'x-api-key: u9jpUfrTAukk45QjWVg7DBtQYxdGgy'
Response
Array of traders in the leaderboard
Unique identifier for the leaderboard entry
Type of statistics (MONTH, WEEK)
Timestamp when ranking was calculated
Previous ranking position
Total profit and loss including fee
Total profit and loss without fee
Total number of winning trades
Total number of losing trades
Total number of liquidations
Timestamp when the entry was created
Metadata about the response
Number of records returned
Number of records skipped
Total number of records matching the query
Response Example
{
"data": [
{
"id": "656fb9897fdc207f19e4ef1f",
"account": "0x92812499fF2c040f93121Aab684680a6e603C4A7",
"protocol": "KWENTA",
"statisticType": "MONTH",
"rankingAt": "2023-12-06T00:00:08.841Z",
"ranking": 1,
"lastRanking": 1,
"totalPnl": 2124229.3913290403,
"totalRealisedPnl": 2137944.463823661,
"totalVolume": 11012185.066084206,
"totalFee": 13715.072494621,
"totalTrade": 1,
"totalWin": 1,
"totalLose": 0,
"totalLiquidation": 0,
"totalLiquidationAmount": 0,
"createdAt": "2023-12-06T00:00:09.748Z"
}
],
"meta": {
"limit": 20,
"offset": 0,
"total": 728,
"totalPages": 37
}
}